/**
 * Data model pour les profils MournbladeCYD2
 */
export default class ProfilDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      exemples: new fields.StringField({ initial: "" }),
      attribut1: new fields.StringField({ initial: "" }),
      attribut2: new fields.StringField({ initial: "" }),
      attribut3: new fields.StringField({ initial: "" }),
      competences: new fields.HTMLField({ initial: "" }),
      talentsinitie: new fields.HTMLField({ initial: "" }),
      prerequisaguerri: new fields.HTMLField({ initial: "" }),
      talentsaguerri: new fields.HTMLField({ initial: "" }),
      prerequismaitre: new fields.HTMLField({ initial: "" }),
      talentsmaitre: new fields.HTMLField({ initial: "" }),
      equipement: new fields.StringField({ initial: "" })
    };
  }
}
